.news {
  padding-top: 60px;
  text-align: center;
  background-color: white;
}

.only-mobile {
  display: block;
}

.only-tablet,
.only-desktop,
.without-mobile {
  display: none;
}

.news-inner {
  padding: 0 20px;
}

.news-header {
  padding: 80px 0px 48px;
}

.news-header h3 {
  font-size: var(--font-h5);
  font-weight: var(--font-weight-bold);
}

.news-cards {
  display: grid;
  grid-template-columns: 1fr;
  gap: 29px;
  margin-bottom: 20px;
}

.news-card {
  display: flex;
  flex-direction: column;
  cursor: pointer;
  border-radius: 16px;
}

.news-card:hover {
  transform: translateY(-2px);
  box-shadow: 0 8px 24px rgba(0, 0, 0, 0.08);
}

.news-img {
  width: 100%;
  height: 340px;
  object-fit: cover;
  object-position: center center;
  border-top-left-radius: 16px;
  border-top-right-radius: 16px;
  overflow: hidden;
}

.news-text-box {
  height: 246px;
  background-color: #f6f8fb;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  justify-content: space-between;
  padding: 20px 20px 5px;
  border-bottom-left-radius: 16px;
  border-bottom-right-radius: 16px;
}

.news-text {
  text-align: start;
}

.news-text p {
  height: 109px;
  font-size: var(--font-b1);
  font-weight: var(--font-weight-bold);
  margin-bottom: 8px;
}

.news-text span {
  font-size: var(--font-b2);
  line-height: 1.2;
}

.news-arrow {
  display: flex;
  width: 100%;
  justify-content: flex-end;
}

.news-arrow img {
  width: auto;
  height: auto;
}

@media (min-width: 800px) {
  .only-mobile,
  .only-desktop {
    display: none;
  }

  .without-mobile,
  .only-tablet {
    display: block;
  }

  .news-header h3 {
    font-size: var(--font-h3);
  }

  .news-cards {
    grid-template-columns: repeat(2, 1fr);
    margin-bottom: 32px;
  }
}
@media (min-width: 1280px) {
  .only-mobile,
  .only-tablet {
    display: none;
  }

  .without-mobile,
  .only-desktop {
    display: block;
  }
  .news-inner {
    margin: 0 auto;
    max-width: 1240px;
  }

  .news-header {
    padding: 80px 0px;
  }

  .news-cards {
    grid-template-columns: repeat(3, 1fr);
    margin-bottom: 48px;
  }
}
